<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta http-equiv="X-UA-Compatible" content="ie=edge" />
		<link
			rel="stylesheet"
			href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
			integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
			crossorigin="anonymous"
		/>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.8/angular.js"></script>
		<title>Instagram Profile Scrapper</title>
	</head>
	<body ng-app="app">
		<div class="container-fluid" ng-controller="appCtrl as app">
			<div class="row">
				<div class="col-12 text-center mt-4 mb-5">
					<h2>Instagram Profile Data Scrapper</h2>
				</div>
			</div>
			<div class="row">
				<div class="col-sm-12 col-md-6 offset-md-3 mb-5">
					<div class="card p-3">
						<form class="input-group">
							<div class="input-group-prepend">
								<span class="input-group-text" id="">@</span>
							</div>
							<input
								type="text"
								class="form-control"
								placeholder="instagram handle"
								ng-model="app.instaHandle"
							/>
							<div class="input-group-append">
								<button
									type="submit"
									class="btn btn-primary"
									ng-click="app.getInstaData(app.instaHandle)"
								>
									submit
								</button>
							</div>
						</form>
					</div>
					<p ng-if="app.loading" class="mt-2">loading data</p>
				</div>
			</div>
			<div class="row" ng-if="!app.user.isEmpty">
				<div class="col-12 col-md-6 offset-md-3">
					<div class="card mb-5 box-shadow">
						<div class="card-body">
							<h3 class="card-title">User Info</h3>
							<div ng-if="!app.user.isPrivate && !app.user.isEmpty">
								<h5>Name: {{ app.user.fullName }}</h5>
								<p class="card-text">description: {{ app.user.description }}</p>
								<div class="d-flex justify-content-between align-items-center">
									<p>followers: {{ app.user.followers }}</p>
									<p>following: {{ app.user.following }}</p>
								</div>
							</div>
							<div ng-if="app.user.isPrivate">
								<p>Instagram profile is private</p>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row" ng-if="app.isLoadingError">
				<div class="col-12 col-md-6 offset-md-3">
					<div class="alert alert-danger" role="alert">
						<h4 class="alert-heading">Error</h4>
						Cannot get user data
					</div>
				</div>
			</div>
			<div class="row" ng-if="!app.user.isPrivate && !app.user.isEmpty">
				<div class="col-12">
					<h3 class="text-center mb-4">recent posts</h3>
					<div class="table-responsive">
						<table class="table table-striped table-sm table-bordered">
							<thead>
								<tr>
									<th>
										<a
											href="javascript:void(0);"
											ng-click="app.changeSortOrder('caption')"
										>
											caption
											<span
												ng-show="app.sortBy == 'caption' && !app.isReverseSort"
											>
												▼
											</span>
											<span
												ng-show="app.sortBy == 'caption' && app.isReverseSort"
											>
												▲
											</span>
										</a>
									</th>
									<th>
										<a
											href="javascript:void(0);"
											ng-click="app.changeSortOrder('id')"
										>
											id
											<span ng-show="app.sortBy == 'id' && !app.isReverseSort">
												▼
											</span>
											<span ng-show="app.sortBy == 'id' && app.isReverseSort">
												▲
											</span>
										</a>
									</th>
									<th>
										<a
											href="javascript:void(0);"
											ng-click="app.changeSortOrder('imageUrl')"
											>image url
											<span
												ng-show="app.sortBy == 'imageUrl' && !app.isReverseSort"
											>
												▼
											</span>
											<span
												ng-show="app.sortBy == 'imageUrl' && app.isReverseSort"
											>
												▲
											</span>
										</a>
									</th>
								</tr>
							</thead>
							<tbody>
								<tr
									ng-repeat="(key, post) in app.user.recentPosts | orderBy:app.sortBy:app.isReverseSort"
								>
									<td>{{ post.caption }}</td>
									<td>{{ post.id }}</td>
									<td>
										<a href="{{ post.imageUrl }}">{{ post.imageUrl }}</a>
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
		<script src="controllers/controller.js"></script>
	</body>
</html>
